// Created by Kyle Benk kylebenkapps.com

jQuery(document).ready(function($) {

	// Get all MailChimp Lists

	$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-mailchimp-api-key').keyup(function(){

		// Do nothing if we are already retrieve the lists

		if ($('#' + nnr_of_email_accounts_data.prefix_dash + 'mailchimp-get-lists-spinner').length != 0) {
			return;
		}

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'mailchimp-get-lists-spinner" class="fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-mailchimp-list');

		if ( $('.' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-status .fa-spin').length == 0 ) {
			$('.' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-status').append('<i class="form-control-static fa fa-spinner fa-spin"></i>');
		}

		var data = {
			'action': 'nnr_of_get_mailchimp_lists',
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-mailchimp-api-key').val()
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'mailchimp-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-mailchimp-list').html(response);
		});
	});

	// Get Aweber Lists

	$('.' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-connect').click(function(){
		$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-code').parent('div').parent('div').removeClass('hidden');
		$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-code').removeClass('hidden');
	});

	$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-code').keyup(function (){

		// Do nothing if we are already retrieve the lists

		if ($('#' + nnr_of_email_accounts_data.prefix_dash + 'aweber-get-lists-spinner').length != 0) {
			return;
		}

		// Do nothing if the user did not input a code

		if ($('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-code').val() == '') {
			return;
		}

		$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-aweber-list-id').html('');

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'aweber-get-lists-spinner" class="fa fa-spinner fa-spin"></i>').insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-aweber-list-id');

		var data = {
			'action': 'nnr_of_get_aweber_lists',
			'consumer_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-consumer-key').val(),
			'consumer_secret': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-consumer-secret').val(),
			'access_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-access-key').val(),
			'access_secret': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-access-secret').val(),
			'code': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-code').val(),
			'newsletter_id': getUrlParameter('newsletter_id')
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {

			response = $.parseJSON(response);

			$('#' + nnr_of_email_accounts_data.prefix_dash +'aweber-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-aweber-list-id').html(response.html);

			$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-consumer-key').val(response.consumer_key);
			$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-consumer-secret').val(response.consumer_secret);
			$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-access-key').val(response.access_key);
			$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-access-secret').val(response.access_secret);

			if (response.consumer_key != '') {
				$('.' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-code').addClass('hidden');
			}

		});
	});

	// Get all Get Response Lists

	$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-getresponse-api-key').keyup(function(){

		// Do nothing if we are already retrieve the lists

		if ($('#' + nnr_of_email_accounts_data.prefix_dash + 'getresponse-get-lists-spinner').length != 0) {
			return;
		}

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'getresponse-get-lists-spinner" class="fa fa-spinner fa-spin"></i>').insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-getresponse-campaign');

		var data = {
			'action': 'nnr_of_get_getresponse_lists',
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-getresponse-api-key').val()
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'getresponse-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-getresponse-campaign').html(response);
		});
	});

	// Get all Campaign Monitor Clients and Lists

	$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-campaignmonitor-api-key').keyup(function(){

		// Do nothing if we are already retrieve the lists

		if ($('.' + nnr_of_email_accounts_data.prefix_dash + 'campaignmonitor-get-lists-spinner').length != 0) {
			return;
		}

		$('<i class="' + nnr_of_email_accounts_data.prefix_dash + 'campaignmonitor-get-lists-spinner fa fa-spinner fa-spin"></i>').insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-list');
		$('<i class="' + nnr_of_email_accounts_data.prefix_dash + 'campaignmonitor-get-lists-spinner fa fa-spinner fa-spin"></i>').insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-client');

		var data = {
			'action': 'nnr_of_get_campaignmonitor_lists',
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-campaignmonitor-api-key').val(),
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {

			response = $.parseJSON(response);

			$('.' + nnr_of_email_accounts_data.prefix_dash +'campaignmonitor-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-client').html(response.clients);
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-list').html(response.lists);

		});
	});

	// Update lists for Campaign Monitor

	$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-campaignmonitor-client').change(function(){

		// Do nothing if we are already retrieve the lists

		if ($('.' + nnr_of_email_accounts_data.prefix_dash + 'campaignmonitor-get-lists-spinner').length != 0) {
			return;
		}

		$('<i class="' + nnr_of_email_accounts_data.prefix_dash + 'campaignmonitor-get-lists-spinner fa fa-spinner fa-spin"></i>').insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-list');

		var data = {
			'action': 'nnr_of_update_campaignmonitor_lists',
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-campaignmonitor-api-key').val(),
			'client_id': $(this).val(),
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('.' + nnr_of_email_accounts_data.prefix_dash +'campaignmonitor-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-list').html(response);
		});
	});

	// Get all Mad Mimi Lists

	$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-madmimi-api-key').keyup(function(){

		// Do nothing if we are already retrieve the lists

		if ($('#' + nnr_of_email_accounts_data.prefix_dash + 'madmimi-get-lists-spinner').length != 0) {
			return;
		}

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'madmimi-get-lists-spinner" class="fa fa-spinner fa-spin"></i>').insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-madmimi-list');

		var data = {
			'action': 'nnr_of_get_madmimi_lists',
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-madmimi-api-key').val(),
			'username': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-madmimi-username').val(),
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-madmimi-list').val()
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'madmimi-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-madmimi-list').html(response);
		});
	});

	// Get all Infusionsoft Lists

	$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-infusionsoft-api-key').keyup(function(){

		// Do nothing if we are already retrieve the lists

		if ($('#' + nnr_of_email_accounts_data.prefix_dash + 'infusionsoft-get-lists-spinner').length != 0) {
			return;
		}

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'infusionsoft-get-lists-spinner" class="fa fa-spinner fa-spin"></i>').insertAfter('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-infusionsoft-list');

		var data = {
			'action': 'nnr_of_get_infusionsoft_lists',
			'app_id': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-infusionsoft-app-id').val(),
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-infusionsoft-api-key').val(),
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-infusionsoft-list').val()
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'infusionsoft-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-infusionsoft-list').html(response);
		});
	});

	// Get all MyMail Lists

	$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-mymail-api-key').keyup(function(){

		// Do nothing if we are already retrieve the lists

		if ($('#' + nnr_of_email_accounts_data.prefix_dash + 'mymail-get-lists-spinner').length != 0) {
			return;
		}

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'mymail-get-lists-spinner" class="fa fa-spinner fa-spin"></i>').insertAfter('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-mymail-list');

		var data = {
			'action': 'nnr_of_get_mymail_lists',
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-mymail-list').val()
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'mymail-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-mymail-list').html(response);
		});
	});

	// Get all Active Campaign Lists

	$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-activecampaign-api-key').keyup(function(){

		// Do nothing if we are already retrieve the lists

		if ($('#' + nnr_of_email_accounts_data.prefix_dash + 'activecampaign-get-lists-spinner').length != 0) {
			return;
		}

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'activecampaign-get-lists-spinner" class="fa fa-spinner fa-spin"></i>').insertAfter('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-activecampaign-list');

		var data = {
			'action': 'nnr_of_get_activecampaign_lists',
			'app_url': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-activecampaign-app-url').val(),
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-activecampaign-api-key').val(),
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-activecampaign-list').val()
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'activecampaign-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-activecampaign-list').html(response);
		});
	});

	// Async functions

	setTimeout(function() {

		// MailChimp

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'mailchimp-get-lists-spinner" class="fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-mailchimp-list');

		var data = {
			'action': 'nnr_of_get_mailchimp_lists',
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-mailchimp-api-key').val(),
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-mailchimp-list').attr('data-list'),
		};

		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash + 'mailchimp-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-mailchimp-list').html(response);
		});

		// Aweber

		$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-aweber-list-id').html('');

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'aweber-get-lists-spinner" class="fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-aweber-list-id');

		var data = {
			'action': 'nnr_of_get_aweber_lists',
			'consumer_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-consumer-key').val(),
			'consumer_secret': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-consumer-secret').val(),
			'access_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-access-key').val(),
			'access_secret': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-access-secret').val(),
			'code': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-code').val(),
			'newsletter_id': getUrlParameter('newsletter_id'),
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-list-id').attr('data-list'),
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {

			response = $.parseJSON(response);

			$('#' + nnr_of_email_accounts_data.prefix_dash +'aweber-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-aweber-list-id').html(response.html);

			$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-consumer-key').val(response.consumer_key);
			$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-consumer-secret').val(response.consumer_secret);
			$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-access-key').val(response.access_key);
			$('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-access-secret').val(response.access_secret);

			if (response.consumer_key != '') {
				$('.' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-aweber-code').addClass('hidden');
			}

		});

		// Get Response

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'getresponse-get-lists-spinner" class="fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-getresponse-campaign');

		var data = {
			'action': 'nnr_of_get_getresponse_lists',
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-getresponse-api-key').val(),
			'campaign': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-getresponse-campaign').attr('data-campaign')
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'getresponse-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-getresponse-campaign').html(response);
		});

		// Campaign Monitor

		$('<i class="' + nnr_of_email_accounts_data.prefix_dash + 'campaignmonitor-get-lists-spinner fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-list');
		$('<i class="' + nnr_of_email_accounts_data.prefix_dash + 'campaignmonitor-get-lists-spinner fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-client');

		var data = {
			'action': 'nnr_of_get_campaignmonitor_lists',
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-campaignmonitor-api-key').val(),
			'client': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-campaignmonitor-client').attr('data-client'),
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-campaignmonitor-list').attr('data-list'),
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {

			response = $.parseJSON(response);

			$('.' + nnr_of_email_accounts_data.prefix_dash +'campaignmonitor-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-client').html(response.clients);
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-campaignmonitor-list').html(response.lists);

		});

		// Mad Mimi

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'madmimi-get-lists-spinner" class="fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-madmimi-list');

		var data = {
			'action': 'nnr_of_get_madmimi_lists',
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-madmimi-api-key').val(),
			'username': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-madmimi-username').val(),
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-madmimi-list').attr('data-list')
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'madmimi-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-madmimi-list').html(response);
		});

		// Infusionsoft

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'infusionsoft-get-lists-spinner" class="fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-infusionsoft-list');

		var data = {
			'action': 'nnr_of_get_infusionsoft_lists',
			'app_id': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-infusionsoft-app-id').val(),
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-infusionsoft-api-key').val(),
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-infusionsoft-list').attr('data-list')
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'infusionsoft-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-infusionsoft-list').html(response);
		});

		// Active Campaign

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'activecampaign-get-lists-spinner" class="fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-activecampaign-list');

		var data = {
			'action': 'nnr_of_get_activecampaign_lists',
			'app_url': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-activecampaign-app-url').val(),
			'api_key': $('#' + nnr_of_email_accounts_data.prefix_dash + 'news-letter-activecampaign-api-key').val(),
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-activecampaign-list').attr('data-list')
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'activecampaign-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-activecampaign-list').html(response);
		});

		// MyMail

		$('<i id="' + nnr_of_email_accounts_data.prefix_dash + 'mymail-get-lists-spinner" class="fa fa-spinner fa-spin"></i>')
			.insertAfter('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-mymail-list');

		var data = {
			'action': 'nnr_of_get_mymail_lists',
			'list': $('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-mymail-list').attr('data-list')
		};
		// We can also pass the url value separately from ajaxurl for front end AJAX implementations
		$.post(ajaxurl, data, function(response) {
			$('#' + nnr_of_email_accounts_data.prefix_dash +'mymail-get-lists-spinner').remove();
			$('#' + nnr_of_email_accounts_data.prefix_dash +'news-letter-mymail-list').html(response);
		});

	} ,1);

	/**
	 * Gets an HTTP parameter
	 *
	 * @access public
	 * @param mixed sParam
	 * @return void
	 */
	function getUrlParameter(sParam) {
	    var sPageURL = window.location.search.substring(1);
	    var sURLVariables = sPageURL.split('&');
	    for (var i = 0; i < sURLVariables.length; i++)
	    {
	        var sParameterName = sURLVariables[i].split('=');
	        if (sParameterName[0] == sParam)
	        {
	            return sParameterName[1];
	        }
	    }
	}

});