<?php

// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

/*
 * This file is used to generate the ouput for the shortcode
 */

add_shortcode('nnr_optin_fire', 'nnr_optin_fire_shortcode');

/**
 * Generate the code for the shortcode
 *
 * @access public
 * @param mixed $atts
 * @return void
 */
function nnr_optin_fire_shortcode($atts) {

	// Check if this post is being displayed in a loop.

	if ( !is_singular() ) {
		return null;
	}

	$args = shortcode_atts( array(
        'id' 						=> null,
    ), $atts );

    global $wpdb;

	// Get Optins

	include_once(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . 'admin/model/db.php');

	$optin_fire_db = new NNRobots_Optin_Fire_DB();
	$optin_fire = $optin_fire_db->get_data_from_id($args['id']);

	if ( isset($optin_fire) && isset($optin_fire['active']) && $optin_fire['active'] == 'Active') {

		$optin_fire['trigger']['manual_display'] = 'no';

		// Check that conditions are true

		if ( NNRobots_Optin_Fire_Functions::check_conditions($optin_fire, $optin_fire['template'], $optin_fire['args'], $optin_fire['trigger']) ) {
			return NNRobots_Optin_Fire_Functions::generate_code($optin_fire, $optin_fire['news_letter']);
		}
	}

	return null;

}